com.hazelcast.concurrent.semaphore.operations

## Class SemaphoreBackupAwareOperation

- java.lang.Object
- - com.hazelcast.spi.Operation
  - - com.hazelcast.spi.impl.AbstractNamedOperation
    - - com.hazelcast.concurrent.semaphore.operations.SemaphoreOperation
      - - com.hazelcast.concurrent.semaphore.operations.SemaphoreBackupAwareOperation

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable, BackupAwareOperation, NamedOperation, PartitionAwareOperation
  Direct Known Subclasses:
    AcquireOperation, DrainOperation, IncreaseOperation, InitOperation, ReduceOperation, ReleaseOperation, SemaphoreDetachMemberOperation

      public abstract class SemaphoreBackupAwareOperation
      extends SemaphoreOperation
      implements BackupAwareOperation

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.concurrent.semaphore.operations.SemaphoreOperation

      `permitCount, response`

    - ### Fields inherited from class com.hazelcast.spi.impl.AbstractNamedOperation

      `name`

    - ### Fields inherited from class com.hazelcast.spi.Operation

      `GENERIC_PARTITION_ID`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SemaphoreBackupAwareOperation()`
    `protected` | `SemaphoreBackupAwareOperation(String name, int permitCount)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAsyncBackupCount()` The asynchronous backup count.
    `int` | `getSyncBackupCount()` The synchronous backup count.

    - ### Methods inherited from class com.hazelcast.concurrent.semaphore.operations.SemaphoreOperation

      `getFactoryId, getResponse, getSemaphoreContainer, getServiceName, readInternal, writeInternal`

    - ### Methods inherited from class com.hazelcast.spi.impl.AbstractNamedOperation

      `getName, toString`

    - ### Methods inherited from class com.hazelcast.spi.Operation

      `afterRun, beforeRun, call, executedLocally, getCallerAddress, getCallerUuid, getCallId, getCallTimeout, getConnection, getInvocationTime, getLogger, getNodeEngine, getOperationResponseHandler, getPartitionId, getReplicaIndex, getService, getWaitTimeout, isUrgent, logError, onExecutionFailure, onInvocationException, onSetCallId, readData, requiresExplicitServiceName, returnsResponse, run, sendResponse, setCallerUuid, setNodeEngine, setOperationResponseHandler, setPartitionId, setReplicaIndex, setService, setServiceName, setValidateTarget, setWaitTimeout, toString, validatesTarget, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.hazelcast.spi.BackupAwareOperation

      `getBackupOperation, shouldBackup`

    - ### Methods inherited from interface com.hazelcast.spi.PartitionAwareOperation

      `getPartitionId`

    - ### Methods inherited from interface com.hazelcast.nio.serialization.IdentifiedDataSerializable

      `getId`

    - ### Methods inherited from interface com.hazelcast.nio.serialization.DataSerializable

      `readData, writeData`

- - ### Constructor Detail

    - #### SemaphoreBackupAwareOperation

          protected SemaphoreBackupAwareOperation()

    - #### SemaphoreBackupAwareOperation

          protected SemaphoreBackupAwareOperation(String name,
                                                  int permitCount)

  - ### Method Detail

    - #### getAsyncBackupCount

          public int getAsyncBackupCount()

      Description copied from interface: `BackupAwareOperation`
      The asynchronous backup count. If no asynchronous backups need to be made, 0 is returned.
      Specified by:
        `getAsyncBackupCount` in interface `BackupAwareOperation`
      Returns:
        the asynchronous backup count.

    - #### getSyncBackupCount

          public int getSyncBackupCount()

      Description copied from interface: `BackupAwareOperation`
      The synchronous backup count. If no backups need to be made, 0 is returned.
      Specified by:
        `getSyncBackupCount` in interface `BackupAwareOperation`
      Returns:
        the synchronous backup count.

Copyright © 2020. All rights reserved.